<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageView
            android:id="@+id/ivBg"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginStart="40dp"
            android:layout_marginEnd="40dp"
            android:background="@mipmap/bg_red_envelope"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/ivAvatar"
            app:layout_constraintTop_toTopOf="@+id/ivBg"
            app:layout_constraintStart_toStartOf="@+id/ivBg"
            android:layout_marginTop="30dp"
            android:layout_marginStart="50dp"
            android:layout_width="30dp"
            android:layout_height="30dp"/>

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvFromUser"
            app:layout_constraintTop_toTopOf="@+id/ivAvatar"
            app:layout_constraintStart_toStartOf="@+id/ivBg"
            app:layout_constraintEnd_toEndOf="@+id/ivBg"
            android:textSize="12dp"
            android:textColor="#ffa048"
            android:layout_marginTop="5dp"
            tools:text="@string/from_who_red_envelope"
            android:layout_width="0dp"
            android:gravity="center"
            android:layout_marginStart="90dp"
            android:layout_marginEnd="70dp"
            android:layout_height="wrap_content"/>

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvCongratulation"
            app:layout_constraintTop_toBottomOf="@+id/tvFromUser"
            app:layout_constraintStart_toStartOf="@+id/ivBg"
            app:layout_constraintEnd_toEndOf="@+id/ivBg"
            android:textSize="14dp"
            android:textColor="#BF352D"
            android:layout_marginTop="10dp"
            tools:text="@string/congratulation"
            android:layout_width="0dp"
            android:gravity="center"
            android:layout_marginStart="40dp"
            android:layout_marginEnd="40dp"
            android:layout_height="wrap_content"/>


        <com.swago.baseswago.cusview.BoldTextView
            android:id="@+id/tvCoin"
            app:layout_constraintTop_toBottomOf="@+id/tvCongratulation"
            app:layout_constraintStart_toStartOf="@+id/ivBg"
            app:layout_constraintEnd_toEndOf="@+id/ivBg"
            android:textSize="30dp"
            android:textColor="#BF352D"
            android:layout_marginTop="12dp"
            tools:text="24132"
            android:visibility="gone"
            tools:visibility="visible"
            android:layout_width="wrap_content"
            android:gravity="center"
            android:layout_marginStart="70dp"
            android:drawablePadding="5dp"
            android:layout_marginEnd="70dp"
            android:drawableStart="@mipmap/icon_coin"
            android:layout_height="wrap_content"/>


        <com.swago.baseswago.cusview.BoldTextView
            android:id="@+id/tvReceive"
            android:textSize="12dp"
            android:textColor="#6f2d11"
            tools:text="@string/receive_red_envelope_coin"
            android:gravity="center"
            android:paddingBottom="5dp"
            android:layout_marginStart="36dp"
            android:layout_marginEnd="36dp"
            android:layout_marginBottom="40dp"
            android:background="@mipmap/bg_tv_red_envelope_receive"
            app:layout_constraintStart_toStartOf="@+id/ivBg"
            app:layout_constraintEnd_toEndOf="@+id/ivBg"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="0dp"
            android:layout_height="72dp"/>

        <com.swago.baseswago.cusview.MediumTextView
            android:id="@+id/tvToSendGift"
            android:text="@string/go_to_send"
            android:textColor="#fff"
            android:textSize="12dp"
            android:drawableEnd="@mipmap/icon_arrow_right"
            android:layout_marginBottom="20dp"
            android:drawablePadding="3dp"
            android:gravity="center_vertical"
            android:visibility="gone"
            tools:visibility="visible"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>